Page MenuHomePhabricator

mw.jqueryMsg.setParserDefaults() does not run when debug=1
Closed, ResolvedPublic

Description

When turning on debug mode the special sauce in ResourceLoaderJqueryMsgModule::getScript() doesn't get run, and in turn doesn't export the list of allowed html elements to jqueryMsg.

Event Timeline

EBernhardson raised the priority of this task from to Needs Triage.
EBernhardson updated the task description. (Show Details)
EBernhardson added a subscriber: EBernhardson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 1 2015, 8:14 PM
Krinkle claimed this task.Jul 1 2015, 8:29 PM
Krinkle set Security to None.

Change 222182 had a related patch set uploaded (by Krinkle):
mediawiki.jqueryMsg: Use load urls instead of file urls for debug

https://gerrit.wikimedia.org/r/222182

Krinkle triaged this task as Low priority.Jul 8 2015, 7:10 AM

Change 222182 merged by jenkins-bot:
mediawiki.jqueryMsg: Use load urls instead of file urls for debug

https://gerrit.wikimedia.org/r/222182

Krinkle closed this task as Resolved.Aug 5 2015, 7:08 PM